# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ssocr-rs"
version = "0.1.0"
authors = ["Ly Tran Vinh <lytranvinh.work@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A pure Rust port of the Seven Segment Optical Character Recognition (ssocr) CLI tool"
readme = "README.md"
keywords = [
    "ocr",
    "seven-segment",
    "image-processing",
    "ssocr",
    "digits",
]
categories = [
    "command-line-utilities",
    "multimedia::encoding",
    "science",
]
license = "GPL-3.0-or-later"
repository = "https://github.com/Youknow2509/ssocr-rs"

[[bin]]
name = "ssocr-rs"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.image]
version = "0.25"
